Get Failed Coupons by Batch
1 min
GET
https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop}
batchIdstring<uuid>Unique identifier for batch.
takeintegerNumber of entries to return.
dropintegerNumber of entries to skip.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success- failed-to-import coupons returned.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request GET \
--url https://api.upstartcommerce.com/v1/promotion/coupon/files/not-imported/{batchId}/{take}/{drop} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'